Subject: Re: [Bitcoin-development] ECDH in the payment protocol

From: Jeff Garzik <[email-masked]>
Date: Tue, 13 May 2014 05:19:07 -0400

On Fri, May 9, 2014 at 11:03 AM, Peter Todd <[email-masked]> wrote:
> Of course we quickly rejected the idea of depending solely on a
> communications backchannel to retrieve funds. Any communications medium
> that isn't the blockchain makes the payment non-atomic, and thus creates
> opportunities for it to fail.

This is extremely simple-minded logic that encourages ephemeral, junk
data in the blockchain.  Not a scalable approach.

The implication is to put the communications medium in the blockchain
itself, which is wrong.

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/